=== debian/changelog ===
smartdns (33+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
    ACK by maintainer.
  * Backport patch to fix TimeoutStopSec key in systemd unit file
    (Closes: #989072)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 28 May 2021 00:37:23 +0800

smartdns (33+dfsg-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #970908)

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 19:57:30 +0800

smartdns (33+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * autopkgtest: call command with explict sbin path

 -- Aron Xu <aron@debian.org>  Mon, 28 Sep 2020 15:45:04 +0800

smartdns (33+dfsg-1) unstable; urgency=medium

  * New upstream version 33+dfsg
  * Mark autopkgtest case as superficial.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 24 Sep 2020 10:30:12 +0800

smartdns (32+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 32+dfsg

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Sep 2020 07:54:08 +0800

smartdns (31+dfsg-1~exp2) experimental; urgency=medium

  * Update the build target to fix the missing systemd service.

 -- Mo Zhou <lumin@debian.org>  Wed, 27 May 2020 02:37:06 +0000

smartdns (31+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 31+dfsg
  * Refresh URL in debian/u1.txt
  * Apply wrap-and-sort.
  * Bump debhelper compat level to 13 (no change).
  * Add a usage hint in debian/qr-regen.sh
  * Add dversionmangle in d/watch.
  * Fix file paths in d/copyright.
  * Add autopkgtest control file.

 -- Mo Zhou <lumin@debian.org>  Tue, 26 May 2020 15:10:09 +0800

smartdns (30+dfsg-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #951307)

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Apr 2020 20:12:03 +0800
