=== debian/control ===
Source: smartdns
Section: net
Homepage: https://github.com/pymumu/smartdns
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/smartdns.git
Vcs-Browser: https://salsa.debian.org/debian/smartdns
Maintainer: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13), libssl-dev, qrencode, zbar-tools
Rules-Requires-Root: no

Package: smartdns
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: local DNS server to obtain the fastest IP for the best experience
 SmartDNS is a local DNS server. SmartDNS accepts DNS query requests from local
 clients, obtains DNS query results from multiple upstream DNS servers, and
 returns the fastest access results to clients.  Avoiding DNS pollution and
 improving network access speed, supports high-performance ad filtering.  Unlike
 dnsmasq's all-servers, smartdns returns the fastest access resolution.
