=== debian/rules ===
#!/usr/bin/make -f  

include /usr/share/dpkg/default.mk

export VER=$(DEB_VERSION)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Smakefile

override_dh_auto_test:
	:

override_dh_auto_install:
	$(SHELL) debian/qr-regen.sh
	cp -v alipay_donate.jpg doc/
	cp -v wechat_donate.jpg doc/
	:
