=== debian/changelog ===
smartdns (35+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

  [ Mo Zhou ]
  * New upstream version 35+dfsg
  * Rebase existing patches and remove merged systemd unit patch.

 -- Mo Zhou <lumin@debian.org>  Thu, 06 Jan 2022 10:12:34 -0500
