## smartdns 36.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Homepage: https://github.com/pymumu/smartdns
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/smartdns.git
 Vcs-Browser: https://salsa.debian.org/debian/smartdns
 Maintainer: Mo Zhou <lumin@debian.org>
