=== debian/changelog ===
smartdns (36.1+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mo Zhou <lumin@debian.org>  Mon, 09 May 2022 16:07:25 -0400

smartdns (36.1+dfsg-1) unstable; urgency=medium

  * New upstream version 36.1+dfsg

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 14:57:02 -0400

smartdns (36+dfsg-1) unstable; urgency=medium

  * New upstream version 36+dfsg

 -- Mo Zhou <lumin@debian.org>  Sun, 03 Apr 2022 19:58:47 -0400
