## smartdns 38.1+dfsg

=== debian/changelog ===
smartdns (38.1+dfsg-1) unstable; urgency=medium

  * New upstream version 38.1+dfsg
  * Refresh existing patches.
  * Add lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Fri, 28 Oct 2022 13:43:00 -0400
