## smartdns 39+dfsg

=== debian/changelog ===
smartdns (39+dfsg-1) unstable; urgency=medium

  * New upstream version 39+dfsg
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Sun, 18 Dec 2022 11:21:51 -0500
