## smartdns 40+dfsg

=== debian/changelog ===
smartdns (40+dfsg-1) unstable; urgency=medium

  * New upstream version 40+dfsg
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 16:38:29 -0500
