=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/make -f  
+#!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
