## smartdns 42+dfsg

=== debian/changelog ===
smartdns (42+dfsg-1) unstable; urgency=medium

  * New upstream version 42+dfsg
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Jul 2023 21:39:03 -0700
