=== debian/changelog ===
smartdns (45+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:25 +1100

smartdns (45+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:22:50 +0000

smartdns (45+dfsg-1) unstable; urgency=medium

  * New upstream version 45+dfsg
  * Rebase existing patches.
  * Update copyright information.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Feb 2024 14:13:09 -0500

smartdns (43+dfsg-1) unstable; urgency=medium

  * New upstream version 43+dfsg
  * Refresh existing patches.
  * Add clean target to solve twice in a row FTBFS. (Closes: #1047008)

 -- Mo Zhou <lumin@debian.org>  Fri, 18 Aug 2023 18:34:06 -0400
