## smartdns 46+dfsg

=== debian/changelog ===
smartdns (46+dfsg-1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2024-42643.patch: Update checks for memory
      alignment
    - CVE-2024-42643

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 24 Mar 2025 16:13:22 +1100

smartdns (46+dfsg-1) unstable; urgency=medium

  * New upstream version 46+dfsg

 -- Mo Zhou <lumin@debian.org>  Wed, 03 Jul 2024 02:51:02 -0400
