=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/smartdns.git
 Vcs-Browser: https://salsa.debian.org/debian/smartdns
-Maintainer: Mo Zhou <lumin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, qrencode, zbar-tools
 Rules-Requires-Root: no
