=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%smartdns-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//" \
https://github.com/pymumu/smartdns/tags \
(?:.*?/)Releasev?(\d[\d.]*)\.tar\.gz debian uupdate
