=== debian/changelog ===
smartdns (46.1+dfsg-1) unstable; urgency=medium

  * New upstream version 46.1+dfsg

 -- Mo Zhou <lumin@debian.org>  Thu, 20 Mar 2025 17:49:12 -0400
