=== package/tool/po2lmo/Makefile ===

INSTALL = install
PREFIX  = /usr/bin
CFLAGS  = -Wall -O2
po2lmo: src/po2lmo.o src/template_lmo.o
	$(CC) $(LDFLAGS) -o src/po2lmo src/po2lmo.o src/template_lmo.o

install:
	$(INSTALL) -m 755 src/po2lmo $(PREFIX)

clean:
	$(RM) src/po2lmo src/*.o
