=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,9 @@
 	cp -v alipay_donate.jpg doc/
 	cp -v wechat_donate.jpg doc/
 	:
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# this fixes FTBFS twice in a row #1047008
+	-$(RM) alipay_donate.jpg wechat_donate.jpg
+	-$(RM) doc/alipay_donate.jpg doc/wechat_donate.jpg
