=== debian/tests/control ===
Test-Command: /usr/sbin/smartdns -v
Depends: @
Restrictions: allow-stderr, superficial
